Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 911023 - Review Request: nodejs-ain2 - A Node.js module for syslog logging (and a continuation of ain)
Summary: Review Request: nodejs-ain2 - A Node.js module for syslog logging (and a cont...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 911022
TreeView+ depends on / blocked
 
Reported: 2013-02-14 09:30 UTC by Jamie Nguyen
Modified: 2013-06-18 20:45 UTC (History)
4 users (show)

Fixed In Version: nodejs-ain2-1.2.1-4.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-03 10:56:58 UTC
mhroncok: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jamie Nguyen 2013-02-14 09:30:51 UTC
Spec URL: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-ain2.spec
SRPM URL: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-ain2-1.2.1-1.fc18.src.rpm
Fedora Account System Username: jamielinux

Description:
This module provides syslog logging for Node.js.

Ain2 is written with full compatibility with the Node.js console module.
It implements all console functions and formatting. Ain2 also supports UTF-8.

Ain2 can send messages by UDP to 127.0.0.1:514 or to the a Unix socket such
as /dev/log.

Comment 1 Jamie Nguyen 2013-05-26 11:31:11 UTC
Spec URL: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-ain2.spec
SRPM URL: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-ain2-1.2.1-2.fc18.src.rpm

* Sun May 26 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.2.1-2
- fix wrong file end of line encoding

Comment 2 Miro Hrončok 2013-05-31 14:31:28 UTC
Mock build rawhide:

+ /usr/bin/node test/integration.js
events.js:72
        throw er; // Unhandled 'error' event
              ^
Error: bind Unknown system errno 92
    at errnoException (dgram.js:440:11)
    at dgram.js:207:28
    at dns.js:72:18
    at process._tickCallback (node.js:415:13)
    at Function.Module.runMain (module.js:499:11)
    at startup (node.js:119:16)
    at node.js:901:3

Comment 3 Jamie Nguyen 2013-05-31 14:49:15 UTC
I was only able to reproduce this in a koji scratch build (http://kojipkgs.fedoraproject.org//work/tasks/5309/5445309/build.log) but the integration tests all run fine and pass in a local mock build. I can only assume koji doesn't like something about the use of sockets and port binding.

Spec URL: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-ain2.spec
SRPM URL: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-ain2-1.2.1-3.fc19.src.rpm

* Fri May 31 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.2.1-3
- disable tests as koji doesn't seem to like them (though they all pass
  in a local mock build)

Comment 4 Miro Hrončok 2013-05-31 19:03:04 UTC
I got the error in mock, not only in koji. Is commenting the test out really a good approach? Shouldn't you try to fix the error?

Comment 5 Jamie Nguyen 2013-05-31 19:37:41 UTC
Sorry, I can't reproduce the error in mock, which leads me to believe the test failure is related to the environment rather than a bug in the software.

The integration test tries to create a socket and binds to it. Something in your/koji's environment is preventing that from happening. My guess is SELinux or some other restriction. I tried patching the test to use a couple of different ports, but they still fail in koji (while still passing in my local mock builds).

I totally agree that the best approach is to make sure the tests pass, but:
1. I don't think it's an issue that will affect how the software functions. (I'll just have to check the tests pass locally before updating the package.)
2. I'm really not sure how to fix this.

Comment 6 Miro Hrončok 2013-05-31 20:09:39 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== Issues ====

[!]: [SHOULD] Packages should try to preserve timestamps of original installed files.
     When converting to Unix newlines, timestamp is updated, you should prevent this with this approach
     1. sed without -i old_file > new_file
     2. touch -r old_file new_file
     3. mv new_file old_file

     This however is not a blocker :)

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-ain2-1.2.1-3.fc20.noarch.rpm
nodejs-ain2.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-ain2.noarch: W: spelling-error Summary(en_US) syslog -> slog
nodejs-ain2.noarch: W: spelling-error Summary(en_US) ain -> sin, aim, an
nodejs-ain2.noarch: W: spelling-error %description -l en_US syslog -> slog
nodejs-ain2.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-ain2.noarch: W: spelling-error %description -l en_US dev -> deb, derv, div
nodejs-ain2.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-ain2
nodejs-ain2.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-ain2.noarch: W: spelling-error Summary(en_US) syslog -> slog
nodejs-ain2.noarch: W: spelling-error Summary(en_US) ain -> sin, aim, an
nodejs-ain2.noarch: W: spelling-error %description -l en_US syslog -> slog
nodejs-ain2.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-ain2.noarch: W: spelling-error %description -l en_US dev -> deb, derv, div
nodejs-ain2.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 7 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-ain2 (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-ain2:
    nodejs-ain2
    npm(ain2)



Source checksums
----------------
http://registry.npmjs.org/ain2/-/ain2-1.2.1.tgz :
  CHECKSUM(SHA256) this package     : 7bdbd679f6af212d5065a7985ddd3ec2ea6e50a8cdf1ae7c5f8ad13324a58770
  CHECKSUM(SHA256) upstream package : 7bdbd679f6af212d5065a7985ddd3ec2ea6e50a8cdf1ae7c5f8ad13324a58770


Generated by fedora-review 0.4.0 (eaf16cd) last change: 2013-05-30
Buildroot used: fedora-rawhide-x86_64
Command line :./try-fedora-review -m fedora-devel-x86_64 -b 911023


$ rpm -qlvp ./nodejs-ain2-1.2.1-3.fc20.noarch.rpm 
drwxr-xr-x    2 root    root                        0 kvě 31 21:56 /usr/lib/node_modules/ain2
-rw-r--r--    1 root    root                    10186 pro  1  2012 /usr/lib/node_modules/ain2/index.js
-rw-r--r--    1 root    root                     1188 pro  1  2012 /usr/lib/node_modules/ain2/package.json
drwxr-xr-x    2 root    root                        0 kvě 31 21:56 /usr/share/doc/nodejs-ain2-1.2.1
-rw-r--r--    1 root    root                     1130 kvě 31 21:56 /usr/share/doc/nodejs-ain2-1.2.1/CHANGELOG.md
-rw-r--r--    1 root    root                     1061 kvě 31 21:56 /usr/share/doc/nodejs-ain2-1.2.1/LICENSE
-rw-r--r--    1 root    root                     6171 kvě 31 21:56 /usr/share/doc/nodejs-ain2-1.2.1/readme.md

Package APPROVED.

Comment 7 Jamie Nguyen 2013-05-31 20:26:30 UTC
[!]: [SHOULD] Packages should try to preserve timestamps of original installed files.
     When converting to Unix newlines, timestamp is updated, you should prevent this with this approach
     1. sed without -i old_file > new_file
     2. touch -r old_file new_file
     3. mv new_file old_file

Thanks for the pointer! Fixed.

Spec URL: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-ain2.spec
SRPM URL: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-ain2-1.2.1-3.fc19.src.rpm

Comment 9 Jamie Nguyen 2013-05-31 20:27:44 UTC
New Package SCM Request
======================
Package Name: nodejs-ain2
Short Description: A Node.js module for syslog logging (and a continuation of ain)
Owners: jamielinux patches
Branches: f18 f19 el6
InitialCC:

Comment 10 Gwyn Ciesla 2013-06-03 10:22:24 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2013-06-03 10:54:29 UTC
nodejs-ain2-1.2.1-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-ain2-1.2.1-4.fc19

Comment 12 Fedora Update System 2013-06-03 10:55:03 UTC
nodejs-ain2-1.2.1-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-ain2-1.2.1-4.fc18

Comment 13 Fedora Update System 2013-06-03 10:55:43 UTC
nodejs-ain2-1.2.1-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-ain2-1.2.1-4.el6

Comment 14 Fedora Update System 2013-06-18 01:27:06 UTC
nodejs-ain2-1.2.1-4.fc18 has been pushed to the Fedora 18 stable repository.

Comment 15 Fedora Update System 2013-06-18 06:23:08 UTC
nodejs-ain2-1.2.1-4.fc19 has been pushed to the Fedora 19 stable repository.

Comment 16 Fedora Update System 2013-06-18 20:45:17 UTC
nodejs-ain2-1.2.1-4.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.